SendLit logoSendLit Docs
API ReferenceSettingsEspsEspidFeedbackRotate

Rotate an existing feedback connection's credential

Same effect as PUT, but fails with 404 if no connection exists yet. The previous credential remains valid for 24h so in-flight provider retries aren't lost.

POST
/settings/esps/{espId}/feedback/rotate

Same effect as PUT, but fails with 404 if no connection exists yet. The previous credential remains valid for 24h so in-flight provider retries aren't lost.

x-sendlit-apikey<token>

In: header

Path Parameters

espId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.sendlit.dev/settings/esps/string/feedback/rotate" \  -H "Content-Type: application/json" \  -d '{    "credential": "string"  }'
{
  "connectionId": "string",
  "espId": "string",
  "provider": "string",
  "webhookUrl": "string",
  "hasCredential": true,
  "status": "pending",
  "lastReceivedAt": "string",
  "lastVerifiedAt": "string",
  "lastErrorCode": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}